## wxformbuilder 3.1.59

=== Makefile ===
# Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`
# Options:
#   CONFIG=[Release|Debug]

ifndef CONFIG
  CONFIG=Release
endif

export CONFIG

.PHONY: all clean wxPropGrid wxFlatNotebook wxScintilla plugin-interface TiCPP additional-components-plugin common-components-plugin containers-components-plugin layout-components-plugin wxadditions-mini-plugin wxFormBuilder

all: wxPropGrid wxFlatNotebook wxScintilla plugin-interface TiCPP additional-components-plugin common-components-plugin containers-components-plugin layout-components-plugin wxadditions-mini-plugin wxFormBuilder

wxPropGrid:
	@echo ==== Building wxPropGrid ====
	@$(MAKE) --no-print-directory -C src/controls/build/propgrid

wxFlatNotebook:
	@echo ==== Building wxFlatNotebook ====
	@$(MAKE) --no-print-directory -C src/controls/build/wxFlatNotebook

wxScintilla:
	@echo ==== Building wxScintilla ====
	@$(MAKE) --no-print-directory -C src/controls/build/wxScintilla

plugin-interface: TiCPP
	@echo ==== Building plugin-interface ====
	@$(MAKE) --no-print-directory -C sdk/plugin_interface

TiCPP:
	@echo ==== Building TiCPP ====
	@$(MAKE) --no-print-directory -C sdk/tinyxml

additional-components-plugin: plugin-interface TiCPP
	@echo ==== Building additional-components-plugin ====
	@$(MAKE) --no-print-directory -C plugins/additional

common-components-plugin: plugin-interface TiCPP
	@echo ==== Building common-components-plugin ====
	@$(MAKE) --no-print-directory -C plugins/common

containers-components-plugin: plugin-interface TiCPP
	@echo ==== Building containers-components-plugin ====
	@$(MAKE) --no-print-directory -C plugins/containers

layout-components-plugin: plugin-interface TiCPP
	@echo ==== Building layout-components-plugin ====
	@$(MAKE) --no-print-directory -C plugins/layout

wxadditions-mini-plugin: wxFlatNotebook wxPropGrid wxScintilla plugin-interface TiCPP
	@echo ==== Building wxadditions-mini-plugin ====
	@$(MAKE) --no-print-directory -C plugins/wxAdditions

wxFormBuilder: wxFlatNotebook wxPropGrid wxScintilla TiCPP plugin-interface
	@echo ==== Building wxFormBuilder ====
	@$(MAKE) --no-print-directory -C src

clean:
	@$(MAKE) --no-print-directory -C src/controls/build/propgrid clean
	@$(MAKE) --no-print-directory -C src/controls/build/wxFlatNotebook clean
	@$(MAKE) --no-print-directory -C src/controls/build/wxScintilla clean
	@$(MAKE) --no-print-directory -C sdk/plugin_interface clean
	@$(MAKE) --no-print-directory -C sdk/tinyxml clean
	@$(MAKE) --no-print-directory -C plugins/additional clean
	@$(MAKE) --no-print-directory -C plugins/common clean
	@$(MAKE) --no-print-directory -C plugins/containers clean
	@$(MAKE) --no-print-directory -C plugins/layout clean
	@$(MAKE) --no-print-directory -C plugins/wxAdditions clean
	@$(MAKE) --no-print-directory -C src clean
