=== src/Makefile ===
# C++ Shared Library Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`

ifndef CONFIG
  CONFIG=Release
endif

ifeq ($(CONFIG),Release)
  BINDIR := ../output/bin
  LIBDIR := ..
  OBJDIR := .objsu
  OUTDIR := ../output/bin
  CPPFLAGS := -MMD -D "WXUSINGDLL_FNB" -D "TIXML_USE_TICPP" -D "NO_GCC_PRAGMA" -D "SCI_NAMESPACE" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "controls/include" -I "boost" -I "../src" -I "../sdk/tinyxml" -I "../sdk/plugin_interface"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -O3 -Wall -fno-strict-aliasing `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -mwindows -s -Wl,-rpath,/usr/lib/wxformbuilder `wx-config --libs` -L"../output/lib/wxformbuilder" -L"../sdk/lib" -lwx_gtk2u_flatnotebook-2.8_wxfb -lwx_gtk2u_propgrid-2.8_wxfb -lwx_gtk2u_scintilla-2.8_wxfb -lticpp -lfbPluginInterface
  LDDEPS := ../output/lib/wxformbuilder/libwx_gtk2u_flatnotebook-2.8_wxfb.so ../output/lib/wxformbuilder/libwx_gtk2u_propgrid-2.8_wxfb.so ../output/lib/wxformbuilder/libwx_gtk2u_scintilla-2.8_wxfb.so ../sdk/lib/libticpp.a ../sdk/lib/libfbPluginInterface.a
  RESFLAGS := -D "WXUSINGDLL_FNB" -D "TIXML_USE_TICPP" -D "NO_GCC_PRAGMA" -D "SCI_NAMESPACE" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -I "controls/include" -I "boost" -I "../src" -I "../sdk/tinyxml" -I "../sdk/plugin_interface"
  TARGET := wxformbuilder
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

ifeq ($(CONFIG),Debug)
  BINDIR := ../output/bin
  LIBDIR := ..
  OBJDIR := .objsud
  OUTDIR := ../output/bin
  CPPFLAGS := -MMD -D "WXUSINGDLL_FNB" -D "TIXML_USE_TICPP" -D "NO_GCC_PRAGMA" -D "SCI_NAMESPACE" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "controls/include" -I "boost" -I "../src" -I "../sdk/tinyxml" -I "../sdk/plugin_interface"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -g -Wall -O0 `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -mwindows -Wl,-rpath,/usr/lib/wxformbuilder `wx-config --debug=no --libs` -L"../output/lib/wxformbuilder" -L"../sdk/lib" -lwx_gtk2u_flatnotebook-2.8_wxfb -lwx_gtk2u_propgrid-2.8_wxfb -lwx_gtk2u_scintilla-2.8_wxfb -lticppd -lfbPluginInterfaced
  LDDEPS := ../output/lib/wxformbuilder/libwx_gtk2u_flatnotebook-2.8_wxfb.so ../output/lib/wxformbuilder/libwx_gtk2u_propgrid-2.8_wxfb.so ../output/lib/wxformbuilder/libwx_gtk2u_scintilla-2.8_wxfb.so ../sdk/lib/libticppd.a ../sdk/lib/libfbPluginInterfaced.a
  RESFLAGS := -D "WXUSINGDLL_FNB" -D "TIXML_USE_TICPP" -D "NO_GCC_PRAGMA" -D "SCI_NAMESPACE" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "__WX__" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "controls/include" -I "boost" -I "../src" -I "../sdk/tinyxml" -I "../sdk/plugin_interface"
  TARGET := wxformbuilderd
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

OBJECTS := \
	$(OBJDIR)/maingui.o \
	$(OBJDIR)/splashscreen.o \
	$(OBJDIR)/database.o \
	$(OBJDIR)/xrcfilter.o \
	$(OBJDIR)/objectbase.o \
	$(OBJDIR)/types.o \
	$(OBJDIR)/title.o \
	$(OBJDIR)/palette.o \
	$(OBJDIR)/genericpanel.o \
	$(OBJDIR)/wxfbmanager.o \
	$(OBJDIR)/bitmaps.o \
	$(OBJDIR)/about.o \
	$(OBJDIR)/cmdproc.o \
	$(OBJDIR)/wxfbevent.o \
	$(OBJDIR)/customkeys.o \
	$(OBJDIR)/mainframe.o \
	$(OBJDIR)/menueditor.o \
	$(OBJDIR)/appdata.o \
	$(OBJDIR)/xrcpreview.o \
	$(OBJDIR)/xrcpanel.o \
	$(OBJDIR)/objecttree.o \
	$(OBJDIR)/objinspect.o \
	$(OBJDIR)/geninhertclass_gui.o \
	$(OBJDIR)/geninhertclass.o \
	$(OBJDIR)/dataobject.o \
	$(OBJDIR)/visualobj.o \
	$(OBJDIR)/visualeditor.o \
	$(OBJDIR)/menubar.o \
	$(OBJDIR)/resizablepanel.o \
	$(OBJDIR)/innerframe.o \
	$(OBJDIR)/codeeditor.o \
	$(OBJDIR)/cpppanel.o \
	$(OBJDIR)/annoyingdialog.o \
	$(OBJDIR)/debug.o \
	$(OBJDIR)/encodingutils.o \
	$(OBJDIR)/stringutils.o \
	$(OBJDIR)/wxfbipc.o \
	$(OBJDIR)/typeconv.o \
	$(OBJDIR)/xrccg.o \
	$(OBJDIR)/codegen.o \
	$(OBJDIR)/cppcg.o \
	$(OBJDIR)/codewriter.o \
	$(OBJDIR)/stack.o \
	$(OBJDIR)/md5.o \

MKDIR_TYPE := msdos
CMD := $(subst \,\\,$(ComSpec)$(COMSPEC))
ifeq (,$(CMD))
  MKDIR_TYPE := posix
endif
ifeq (/bin/sh.exe,$(SHELL))
  MKDIR_TYPE := posix
endif
ifeq ($(MKDIR_TYPE),posix)
  CMD_MKBINDIR := mkdir -p $(BINDIR)
  CMD_MKLIBDIR := mkdir -p $(LIBDIR)
  CMD_MKOUTDIR := mkdir -p $(OUTDIR)
  CMD_MKOBJDIR := mkdir -p $(OBJDIR)
else
  CMD_MKBINDIR := $(CMD) /c if not exist $(subst /,\\,$(BINDIR)) mkdir $(subst /,\\,$(BINDIR))
  CMD_MKLIBDIR := $(CMD) /c if not exist $(subst /,\\,$(LIBDIR)) mkdir $(subst /,\\,$(LIBDIR))
  CMD_MKOUTDIR := $(CMD) /c if not exist $(subst /,\\,$(OUTDIR)) mkdir $(subst /,\\,$(OUTDIR))
  CMD_MKOBJDIR := $(CMD) /c if not exist $(subst /,\\,$(OBJDIR)) mkdir $(subst /,\\,$(OBJDIR))
endif

.PHONY: clean

$(OUTDIR)/$(TARGET): $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking wxFormBuilder
	-@$(CMD_MKBINDIR)
	-@$(CMD_MKLIBDIR)
	-@$(CMD_MKOUTDIR)
	@$(BLDCMD)

clean:
	@echo Cleaning wxFormBuilder
ifeq ($(MKDIR_TYPE),posix)
	-@rm -f $(OUTDIR)/$(TARGET)
	-@rm -rf $(OBJDIR)
else
	-@if exist $(subst /,\,$(OUTDIR)/$(TARGET)) del /q $(subst /,\,$(OUTDIR)/$(TARGET))
	-@if exist $(subst /,\,$(OBJDIR)) del /q $(subst /,\,$(OBJDIR))
	-@if exist $(subst /,\,$(OBJDIR)) rmdir /s /q $(subst /,\,$(OBJDIR))
endif

$(OBJDIR)/maingui.o: maingui.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/splashscreen.o: splashscreen.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/database.o: model/database.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/xrcfilter.o: model/xrcfilter.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/objectbase.o: model/objectbase.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/types.o: model/types.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/title.o: rad/title.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/palette.o: rad/palette.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/genericpanel.o: rad/genericpanel.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/wxfbmanager.o: rad/wxfbmanager.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/bitmaps.o: rad/bitmaps.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/about.o: rad/about.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/cmdproc.o: rad/cmdproc.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/wxfbevent.o: rad/wxfbevent.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/customkeys.o: rad/customkeys.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/mainframe.o: rad/mainframe.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/menueditor.o: rad/menueditor.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/appdata.o: rad/appdata.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/xrcpreview.o: rad/xrcpreview/xrcpreview.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/xrcpanel.o: rad/xrcpanel/xrcpanel.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/objecttree.o: rad/objecttree/objecttree.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/objinspect.o: rad/inspector/objinspect.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/geninhertclass_gui.o: rad/geninheritclass/geninhertclass_gui.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/geninhertclass.o: rad/geninheritclass/geninhertclass.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/dataobject.o: rad/dataobject/dataobject.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/visualobj.o: rad/designer/visualobj.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/visualeditor.o: rad/designer/visualeditor.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/menubar.o: rad/designer/menubar.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/resizablepanel.o: rad/designer/resizablepanel.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/innerframe.o: rad/designer/innerframe.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/codeeditor.o: rad/codeeditor/codeeditor.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/cpppanel.o: rad/cpppanel/cpppanel.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/annoyingdialog.o: utils/annoyingdialog.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/debug.o: utils/debug.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/encodingutils.o: utils/encodingutils.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/stringutils.o: utils/stringutils.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/wxfbipc.o: utils/wxfbipc.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/typeconv.o: utils/typeconv.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/xrccg.o: codegen/xrccg.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/codegen.o: codegen/codegen.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/cppcg.o: codegen/cppcg.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/codewriter.o: codegen/codewriter.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/stack.o: dbg_stack_trace/stack.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/md5.o: md5/md5.cc
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

-include $(OBJECTS:%.o=%.d)
