=== src/controls/build/wxScintilla/Makefile ===
# C++ Shared Library Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`

ifndef CONFIG
  CONFIG=Release
endif

ifeq ($(CONFIG),Release)
  BINDIR := ../../../../output/lib/wxformbuilder
  LIBDIR := ../../../..
  OBJDIR := .objsu
  OUTDIR := ../../../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "WXMAKINGDLL_SCI" -D "MONOLITHIC" -D "LINK_LEXERS" -D "SCI_LEXER" -D "SCI_NAMESPACE" -D "__WX__" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "GTK" -D "NDEBUG" -I "../../include" -I "../../src/wxScintilla" -I "../../src/wxScintilla/scintilla/include" -I "../../src/wxScintilla/scintilla/src"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -O3 -fPIC -fno-strict-aliasing `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared -s `wx-config --libs`
  LDDEPS :=
  RESFLAGS := -D "WXMAKINGDLL_SCI" -D "MONOLITHIC" -D "LINK_LEXERS" -D "SCI_LEXER" -D "SCI_NAMESPACE" -D "__WX__" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "GTK" -D "NDEBUG" -I "../../include" -I "../../src/wxScintilla" -I "../../src/wxScintilla/scintilla/include" -I "../../src/wxScintilla/scintilla/src"
  TARGET := libwx_gtk2u_scintilla-2.8_wxfb.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

ifeq ($(CONFIG),Debug)
  BINDIR := ../../../../output/lib/wxformbuilder
  LIBDIR := ../../../..
  OBJDIR := .objsud
  OUTDIR := ../../../../output/lib/wxformbuilder
  CPPFLAGS := -MMD -D "WXMAKINGDLL_SCI" -D "MONOLITHIC" -D "LINK_LEXERS" -D "SCI_LEXER" -D "SCI_NAMESPACE" -D "__WX__" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "GTK" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../include" -I "../../src/wxScintilla" -I "../../src/wxScintilla/scintilla/include" -I "../../src/wxScintilla/scintilla/src"
  CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -fPIC -g -fPIC -O0 `wx-config --debug=no --cflags`
  CXXFLAGS := $(CFLAGS)
  LDFLAGS += -L$(BINDIR) -L$(LIBDIR) -shared `wx-config --debug=no --libs`
  LDDEPS :=
  RESFLAGS := -D "WXMAKINGDLL_SCI" -D "MONOLITHIC" -D "LINK_LEXERS" -D "SCI_LEXER" -D "SCI_NAMESPACE" -D "__WX__" -D "WXUSINGDLL" -D "UNICODE" -D "_UNICODE" -D "GTK" -D "NDEBUG" -D "__WXFB_DEBUG__" -I "../../include" -I "../../src/wxScintilla" -I "../../src/wxScintilla/scintilla/include" -I "../../src/wxScintilla/scintilla/src"
  TARGET := libwx_gtk2u_scintilla-2.8_wxfb.so
  BLDCMD = $(CXX) -o $(OUTDIR)/$(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(TARGET_ARCH)
endif

OBJECTS := \
	$(OBJDIR)/PlatWX.o \
	$(OBJDIR)/ScintillaWX.o \
	$(OBJDIR)/wxscintilla.o \
	$(OBJDIR)/ExternalLexer.o \
	$(OBJDIR)/PositionCache.o \
	$(OBJDIR)/LineMarker.o \
	$(OBJDIR)/LexD.o \
	$(OBJDIR)/Style.o \
	$(OBJDIR)/LexSpecman.o \
	$(OBJDIR)/LexPython.o \
	$(OBJDIR)/LexPOV.o \
	$(OBJDIR)/LexCsound.o \
	$(OBJDIR)/KeyMap.o \
	$(OBJDIR)/LexCPP.o \
	$(OBJDIR)/LexPLM.o \
	$(OBJDIR)/ViewStyle.o \
	$(OBJDIR)/LexRuby.o \
	$(OBJDIR)/LexYAML.o \
	$(OBJDIR)/LexNsis.o \
	$(OBJDIR)/RESearch.o \
	$(OBJDIR)/LexPS.o \
	$(OBJDIR)/ScintillaBase.o \
	$(OBJDIR)/LexKix.o \
	$(OBJDIR)/LexVB.o \
	$(OBJDIR)/LexVHDL.o \
	$(OBJDIR)/AutoComplete.o \
	$(OBJDIR)/Decoration.o \
	$(OBJDIR)/Indicator.o \
	$(OBJDIR)/DocumentAccessor.o \
	$(OBJDIR)/LexCrontab.o \
	$(OBJDIR)/CallTip.o \
	$(OBJDIR)/LexInno.o \
	$(OBJDIR)/LexProgress.o \
	$(OBJDIR)/LexAda.o \
	$(OBJDIR)/LexCaml.o \
	$(OBJDIR)/Document.o \
	$(OBJDIR)/LexScriptol.o \
	$(OBJDIR)/CellBuffer.o \
	$(OBJDIR)/UniConversion.o \
	$(OBJDIR)/LexBullant.o \
	$(OBJDIR)/LexAVE.o \
	$(OBJDIR)/LexEiffel.o \
	$(OBJDIR)/ContractionState.o \
	$(OBJDIR)/LexCmake.o \
	$(OBJDIR)/LexAPDL.o \
	$(OBJDIR)/LexGAP.o \
	$(OBJDIR)/LexBaan.o \
	$(OBJDIR)/LexMSSQL.o \
	$(OBJDIR)/LexCSS.o \
	$(OBJDIR)/LexSpice.o \
	$(OBJDIR)/LexLua.o \
	$(OBJDIR)/LexOthers.o \
	$(OBJDIR)/LexBasic.o \
	$(OBJDIR)/LexVerilog.o \
	$(OBJDIR)/LexOpal.o \
	$(OBJDIR)/LexMetapost.o \
	$(OBJDIR)/LexForth.o \
	$(OBJDIR)/LexEScript.o \
	$(OBJDIR)/LexAU3.o \
	$(OBJDIR)/LexTeX.o \
	$(OBJDIR)/LexSQL.o \
	$(OBJDIR)/LexTADS3.o \
	$(OBJDIR)/LexHaskell.o \
	$(OBJDIR)/LexLisp.o \
	$(OBJDIR)/KeyWords.o \
	$(OBJDIR)/LexLout.o \
	$(OBJDIR)/LexAsm.o \
	$(OBJDIR)/Editor.o \
	$(OBJDIR)/LexFlagship.o \
	$(OBJDIR)/LexBash.o \
	$(OBJDIR)/XPM.o \
	$(OBJDIR)/LexGui4Cli.o \
	$(OBJDIR)/LexAsn1.o \
	$(OBJDIR)/CharClassify.o \
	$(OBJDIR)/LexRebol.o \
	$(OBJDIR)/LexFortran.o \
	$(OBJDIR)/RunStyles.o \
	$(OBJDIR)/LexCLW.o \
	$(OBJDIR)/LexMMIXAL.o \
	$(OBJDIR)/LexSmalltalk.o \
	$(OBJDIR)/LexMPT.o \
	$(OBJDIR)/WindowAccessor.o \
	$(OBJDIR)/LexConf.o \
	$(OBJDIR)/PropSet.o \
	$(OBJDIR)/LexHTML.o \
	$(OBJDIR)/LexPerl.o \
	$(OBJDIR)/LexPB.o \
	$(OBJDIR)/LexPascal.o \
	$(OBJDIR)/StyleContext.o \
	$(OBJDIR)/LexMatlab.o \
	$(OBJDIR)/LexTCL.o \
	$(OBJDIR)/LexErlang.o \

MKDIR_TYPE := msdos
CMD := $(subst \,\\,$(ComSpec)$(COMSPEC))
ifeq (,$(CMD))
  MKDIR_TYPE := posix
endif
ifeq (/bin/sh.exe,$(SHELL))
  MKDIR_TYPE := posix
endif
ifeq ($(MKDIR_TYPE),posix)
  CMD_MKBINDIR := mkdir -p $(BINDIR)
  CMD_MKLIBDIR := mkdir -p $(LIBDIR)
  CMD_MKOUTDIR := mkdir -p $(OUTDIR)
  CMD_MKOBJDIR := mkdir -p $(OBJDIR)
else
  CMD_MKBINDIR := $(CMD) /c if not exist $(subst /,\\,$(BINDIR)) mkdir $(subst /,\\,$(BINDIR))
  CMD_MKLIBDIR := $(CMD) /c if not exist $(subst /,\\,$(LIBDIR)) mkdir $(subst /,\\,$(LIBDIR))
  CMD_MKOUTDIR := $(CMD) /c if not exist $(subst /,\\,$(OUTDIR)) mkdir $(subst /,\\,$(OUTDIR))
  CMD_MKOBJDIR := $(CMD) /c if not exist $(subst /,\\,$(OBJDIR)) mkdir $(subst /,\\,$(OBJDIR))
endif

.PHONY: clean

$(OUTDIR)/$(TARGET): $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking wxScintilla
	-@$(CMD_MKBINDIR)
	-@$(CMD_MKLIBDIR)
	-@$(CMD_MKOUTDIR)
	@$(BLDCMD)

clean:
	@echo Cleaning wxScintilla
ifeq ($(MKDIR_TYPE),posix)
	-@rm -f $(OUTDIR)/$(TARGET)
	-@rm -rf $(OBJDIR)
else
	-@if exist $(subst /,\,$(OUTDIR)/$(TARGET)) del /q $(subst /,\,$(OUTDIR)/$(TARGET))
	-@if exist $(subst /,\,$(OBJDIR)) del /q $(subst /,\,$(OBJDIR))
	-@if exist $(subst /,\,$(OBJDIR)) rmdir /s /q $(subst /,\,$(OBJDIR))
endif

$(OBJDIR)/PlatWX.o: ../../src/wxScintilla/PlatWX.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/ScintillaWX.o: ../../src/wxScintilla/ScintillaWX.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/wxscintilla.o: ../../src/wxScintilla/wxscintilla.cpp
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/ExternalLexer.o: ../../src/wxScintilla/scintilla/src/ExternalLexer.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/PositionCache.o: ../../src/wxScintilla/scintilla/src/PositionCache.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LineMarker.o: ../../src/wxScintilla/scintilla/src/LineMarker.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexD.o: ../../src/wxScintilla/scintilla/src/LexD.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/Style.o: ../../src/wxScintilla/scintilla/src/Style.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexSpecman.o: ../../src/wxScintilla/scintilla/src/LexSpecman.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexPython.o: ../../src/wxScintilla/scintilla/src/LexPython.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexPOV.o: ../../src/wxScintilla/scintilla/src/LexPOV.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexCsound.o: ../../src/wxScintilla/scintilla/src/LexCsound.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/KeyMap.o: ../../src/wxScintilla/scintilla/src/KeyMap.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexCPP.o: ../../src/wxScintilla/scintilla/src/LexCPP.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexPLM.o: ../../src/wxScintilla/scintilla/src/LexPLM.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/ViewStyle.o: ../../src/wxScintilla/scintilla/src/ViewStyle.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexRuby.o: ../../src/wxScintilla/scintilla/src/LexRuby.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexYAML.o: ../../src/wxScintilla/scintilla/src/LexYAML.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexNsis.o: ../../src/wxScintilla/scintilla/src/LexNsis.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/RESearch.o: ../../src/wxScintilla/scintilla/src/RESearch.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexPS.o: ../../src/wxScintilla/scintilla/src/LexPS.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/ScintillaBase.o: ../../src/wxScintilla/scintilla/src/ScintillaBase.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexKix.o: ../../src/wxScintilla/scintilla/src/LexKix.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexVB.o: ../../src/wxScintilla/scintilla/src/LexVB.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexVHDL.o: ../../src/wxScintilla/scintilla/src/LexVHDL.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/AutoComplete.o: ../../src/wxScintilla/scintilla/src/AutoComplete.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/Decoration.o: ../../src/wxScintilla/scintilla/src/Decoration.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/Indicator.o: ../../src/wxScintilla/scintilla/src/Indicator.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/DocumentAccessor.o: ../../src/wxScintilla/scintilla/src/DocumentAccessor.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexCrontab.o: ../../src/wxScintilla/scintilla/src/LexCrontab.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/CallTip.o: ../../src/wxScintilla/scintilla/src/CallTip.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexInno.o: ../../src/wxScintilla/scintilla/src/LexInno.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexProgress.o: ../../src/wxScintilla/scintilla/src/LexProgress.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexAda.o: ../../src/wxScintilla/scintilla/src/LexAda.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexCaml.o: ../../src/wxScintilla/scintilla/src/LexCaml.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/Document.o: ../../src/wxScintilla/scintilla/src/Document.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexScriptol.o: ../../src/wxScintilla/scintilla/src/LexScriptol.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/CellBuffer.o: ../../src/wxScintilla/scintilla/src/CellBuffer.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/UniConversion.o: ../../src/wxScintilla/scintilla/src/UniConversion.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexBullant.o: ../../src/wxScintilla/scintilla/src/LexBullant.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexAVE.o: ../../src/wxScintilla/scintilla/src/LexAVE.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
	@$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/LexEiffel.o: ../../src/wxScintilla/scintilla/src/LexEiffel.cxx
	-@$(CMD_MKOBJDIR)
	@echo $(notdir $<)
